package gcspy.interpreter;

import java.util.ArrayList;
import java.util.List;

public class SingleEventTraceData {
	/** Current space information */
	private List<Space> spaces;

	/** Current counts for each event */
	private int[] eventCount;

	public SingleEventTraceData(int spacenum) {
		this.spaces = new ArrayList<Space>(spacenum);
		for (int i = 0; i < spacenum; i++) {
			this.spaces.add(null);
		}
	}

	public Space getSpace(int index) {
		return this.spaces.get(index);
	}

	public void setSpace(int index, Space space) {
		if (index >= this.spaces.size()) {
			resize(index + 1);
		}
		this.spaces.set(index, space);
	}

	public void addSpace(int spaceID, Space space) {
		this.spaces.add(spaceID, space);
	}

	public void resize(int spaceNum) {
		if (this.spaces.size() > spaceNum) {
			this.spaces = this.spaces.subList(0, spaceNum);
		} else if (this.spaces.size() < spaceNum) {
			for (int i = 0; i < spaceNum - this.spaces.size(); i++) {
				this.spaces.add(null);
			}
		}
	}

	public int[] getEventCount() {
		return this.eventCount;
	}

	public void setEventCount(int[] eventCount) {
		this.eventCount = eventCount;
	}

	public int getNumSpaces() {
		return this.spaces.size();
	}
}