package gcspy.test;

import gcspy.vis.TileStyle;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Dialog.ModalityType;

import javax.swing.JDialog;
import javax.swing.JLabel;

public class TestColorGenerate {
	
	enum EnumeratedValue {
		LARGE(0, "Large"),
		OLD_FULL(1, "Old Full"),
		OLD_RECYCLABLE(2, "Old Recyclable"),
		FREE(3, "Free"),
		UNMAPPED(4, "Unmapped"),
		SURVIVOR(5, "Survivor"),
		EDEN(6, "Eden"),
		UNUSED(7, "Unused"),
		EVACUATING(8, "Evacuating"),
		SELECTED(9, "Selected"),
		NONE(10, "None"),
		OPPORTUNISTIC_CURRENT(11, "Opportunistic current"),
		CURRENT(12, "Current"),
		UPDATING(13, "Updating"),
		;
		
		final String name;
		final int value;
		EnumeratedValue(int value, String name) {
			this.value = value;
			this.name = name;			
		}
	}

	public static Color getEnumerationColor(int value) {
		return TileStyle.getEnumerationColor(value);
	}

	public static void main(String[] args) {
		JDialog main = new JDialog(null, ModalityType.APPLICATION_MODAL);
		main.setTitle("Color test");
		main.setLayout(new FlowLayout());

		EnumeratedValue[] values = EnumeratedValue.values();
		for (EnumeratedValue value : values) {
			JLabel label = new JLabel();
			label.setOpaque(true);
			label.setText(value.name);
			label.setBackground(getEnumerationColor(value.value));
			main.add(label);
		}

		main.pack();
		main.setVisible(true); // dialog - does not return until closed
		main.dispose();
	}

}
