package gcspy.vis;

import javax.swing.AbstractButton;

import bibliothek.gui.Dockable;
import bibliothek.gui.dock.common.event.CDockableAdapter;
import bibliothek.gui.dock.common.intern.CDockable;

/**
 * Listener that marks an {@link AbstractButton} selected or deselected when the
 * status of a {@link Dockable} changes.
 * 
 * @author Peter Hofer
 */
class ButtonSelectDockableListener extends CDockableAdapter {
	private final AbstractButton item;

	public ButtonSelectDockableListener(AbstractButton item) {
		this.item = item;
	}

	@Override
	public void visibilityChanged(CDockable dockable) {
		item.setSelected(dockable.isVisible());
	}
}
