/**
 ** $Id: ConnectionInfoLabel.java 22 2005-06-14 05:17:45Z rej $
 ** Copyright (c) 2002 Sun Microsystems, Inc.
 **
 ** See the file "license.terms" for information on usage and redistribution
 ** of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 **/

package gcspy.vis;

import java.awt.BorderLayout;

import javax.swing.JComponent;
import javax.swing.JLabel;

/**
 * Connection info label.
 * 
 * @author Tony Printezis
 * @author Peter Hofer
 */
class ConnectionInfo extends JComponent {

	public enum Status {
		Connecting, Connected, Pausing, Paused, Disconnecting, Disconnected,
	};

	private String endpoint;
	private String name;
	private Status status;

	private JLabel label;

	public ConnectionInfo() {
		setLayout(new BorderLayout());
		label = new JLabel();
		add(label, BorderLayout.CENTER);

		setStatus(Status.Disconnected);
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
		updateLabel();
	}

	public void setName(String name) {
		this.name = name;
		updateLabel();
	}

	public void setStatus(Status status) {
		this.status = status;
		updateLabel();
	}

	protected void updateLabel() {
		String text;
		switch (status) {
		case Disconnected:
			text = "Not connected";
			break;
		default:
			text = status.toString() + ": " + endpoint + " [" + name + "]"; 
			break;
		}
		label.setText(text);
	}
}
