package gcspy.vis;

import gcspy.interpreter.Events;
import gcspy.interpreter.Space;
import gcspy.interpreter.client.EventCommandListener;
import gcspy.interpreter.client.PauseListener;
import gcspy.interpreter.client.SpaceCommandListener;

public interface InterpreterEventProvider {
	int[] getEventCounts();
	Events getEvents();

	void addEventListener(EventCommandListener eventListener);
	void removeEventListener(EventCommandListener eventListener);
	void fireEventListeners(int eventID, int elapsedTime, int compensationTime);	
	
	void addPauseListener(PauseListener pauseListener);
	void removePauseListener(PauseListener pauseListener);
	void firePauseListeners();	
	
	void addSpaceListener(SpaceCommandListener spaceListener);
	void removeSpaceListener(SpaceCommandListener spaceListener);
	void fireSpaceListeners(Space space);
}
